package com.sysu.admin.support.system.role_permission;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.io.Serializable;

/**
 * @title RolePermission
 * @description
 * @author XIE
 * @date 2020年4月24日下午10:07:17
 */
@Data
@Accessors(fluent = true)
@NoArgsConstructor
@Embeddable
public class PKRP implements Serializable {

    /** 序列化 */
    private static final long serialVersionUID = 1L;

    /**
     * 角色
     */
    @Column
    private Long roles;

    /**
     * 菜单
     */
    @Column
    private Long menu;

    public Long getMenu() {
        return menu;
    }

    public Long getRoles() {
        return roles;
    }
}
